astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- N-dimensional datasets (`astropy.nddata`) »
- NDIOMixin

# NDIOMixin

class `astropy.nddata.``NDIOMixin`

  Bases: `object`

  Mixin class to connect NDData to the astropy input/output registry.

  This mixin adds two methods to its subclasses, `read` and `write`.

  Methods Summary

  `read`(*args, **kwargs) | Read and parse gridded N-dimensional data and return as an NDData-derived object.
  `write`(*args, **kwargs) | Write a gridded N-dimensional data object out in specified format.

  Methods Documentation

  classmethod `read`(*args, **kwargs)

    Read and parse gridded N-dimensional data and return as an NDData-derived object.

    This function provides the NDDataBase interface to the astropy unified I/O layer. This allows easily reading a file in the supported data formats.

  `write`(*args, **kwargs)

    Write a gridded N-dimensional data object out in specified format.

    This function provides the NDDataBase interface to the astropy unified I/O layer. This allows easily writing a file in the supported data formats.